--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: creation_time
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: mode
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: topic
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: url
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: users
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Here we start with the actual Channel class
constants: []

full_name: Irc::Channel
includes: 
- !ruby/object:RI::IncludedModule 
  name: ServerOrCasemap
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_user
- !ruby/object:RI::MethodSummary 
  name: create_mode
- !ruby/object:RI::MethodSummary 
  name: delete_user
- !ruby/object:RI::MethodSummary 
  name: get_user
- !ruby/object:RI::MethodSummary 
  name: has_op?
- !ruby/object:RI::MethodSummary 
  name: has_user?
- !ruby/object:RI::MethodSummary 
  name: has_voice?
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: local?
- !ruby/object:RI::MethodSummary 
  name: modeless?
- !ruby/object:RI::MethodSummary 
  name: modes_of
- !ruby/object:RI::MethodSummary 
  name: normal?
- !ruby/object:RI::MethodSummary 
  name: prefix
- !ruby/object:RI::MethodSummary 
  name: safe?
- !ruby/object:RI::MethodSummary 
  name: to_irc_channel
- !ruby/object:RI::MethodSummary 
  name: user_nicks
name: Channel
superclass: Object
